package be.msyben.vinylManager.tools.swing;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;

/**
 * Layout vide pour mettre un panel dans un scrollpanel en pouvant placer librement les composants.
 * @author Mathieu Syben
 */
public class NullLayout implements LayoutManager {

    /**
     * La hauteur
     */
    private int height = 0;
    /**
     * La largeur
     */
    private int width = 0;

    /**
     * Constructeur privé pour ne pas instancer.
     */
    private NullLayout(){}

    /**
     * Constructeur.
     * @param width la largeur
     * @param height la hauteur
     */
    public NullLayout(int width, int height){
        this.width = width;
        this.height = height;
    }

    @Override
    public void addLayoutComponent(String name, Component comp) {
        
    }

    @Override
    public void removeLayoutComponent(Component comp) {
        
    }

    @Override
    public Dimension preferredLayoutSize(Container parent) {
        return new Dimension(width, height);
    }

    @Override
    public Dimension minimumLayoutSize(Container parent) {
        return new Dimension(width, height);
    }

    @Override
    public void layoutContainer(Container parent) {
        
    }

}
